<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.system.mapper.AreaMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="areaResultMap" type="org.springblade.modules.system.entity.Area">
        <id column="adcode" property="adcode"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="pid" property="pid"/>
        <result column="`name`" property="`name`"/>
        <result column="citycode" property="citycode"/>
        <result column="`level`" property="`level`"/>
        <result column="center" property="center"/>
    </resultMap>


    <select id="selectAreaPage" resultMap="areaResultMap">
        select * from blade_area where is_deleted = 0
    </select>

</mapper>
